### Enumeration

# Gtk FilterMatch

#### Declaration

    enum Gtk.FilterMatch

#### Description [src]

Describes the known strictness of a filter.

Note that for filters where the strictness is not known, `GTK_FILTER_MATCH_SOME` is always an acceptable value, even if a filter does match all or no items.

#### Members

Name | Description
--- | ---
`GTK_FILTER_MATCH_SOME` | The filter matches some items, gtk_filter_match() may return `TRUE` or `FALSE`.
`GTK_FILTER_MATCH_NONE` | The filter does not match any item, gtk_filter_match() will always return `FALSE`.
`GTK_FILTER_MATCH_ALL` | The filter matches all items, gtk_filter_match() will alays return `TRUE`.